<?php
jgcgrc_recaptcha_run();
function jgcgrc_recaptcha_run(){

    $site_key   = jgcgrc_option('jgcgrc_site_key');
    $secret_key = jgcgrc_option('jgcgrc_secret_key');

    if( !empty( $site_key ) && !empty( $secret_key ) ){

        jgcgrc_comments_recaptcha_exec();
        jgcgrc_login_register_lostpw_recaptcha_exec();

    }
    
}

/*
 * reCAPTCHA for comments
 */

function jgcgrc_comments_recaptcha_exec(){
    $captcha_for_comments = jgcgrc_option('jgcgrc_comments_recaptcha');

    if($captcha_for_comments == 'on' ){

            add_action('wp_enqueue_scripts', 'jgcgrc_google_recaptcha_script');

            $captcha_location = jgcgrc_option('jgcgrc_comments_recaptcha_location');

            if($captcha_location == 'before_submit_button'){
                add_filter('comment_form_default_fields', 'jgcgrc_add_comments_recaptcha_before');
            }else{
                add_action('comment_form', 'jgcgrc_add_comments_recaptcha_after');
            }
            
            add_filter('preprocess_comment', 'jgcgrc_verify_comment_recaptcha', 1, 1 );

    }
}

function jgcgrc_google_recaptcha_script(){
    wp_enqueue_script( 'jgcgrc-google-recaptcha', 'https://www.google.com/recaptcha/api.js');
}

function jgcgrc_add_comments_recaptcha_before($fields){
	
    $site_key = jgcgrc_option('jgcgrc_site_key');
    $theme    = jgcgrc_option('jgcgrc_theme');

    $fields['jgcgrc_com_recaptcha'] = '<div style="margin:14px 0;" class="g-recaptcha" data-sitekey="' . $site_key .'" data-theme="' . $theme . '"></div>'; 

    return $fields;

}

function jgcgrc_add_comments_recaptcha_after(){
    
    $site_key = jgcgrc_option('jgcgrc_site_key');
    $theme    = jgcgrc_option('jgcgrc_theme');

    echo '<div style="margin:14px 0;" class="g-recaptcha" data-sitekey="' . $site_key .'" data-theme="' . $theme . '"></div>';

}


function jgcgrc_verify_comment_recaptcha( $commentdata ){

    if(isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])){

        // Secret key
        $secret_key = jgcgrc_option('jgcgrc_secret_key');

        // Get verify response data
        $verify_response = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret_key . '&response=' . $_POST['g-recaptcha-response']);

        $response_data = json_decode($verify_response);

        if($response_data->success){

     		return $commentdata;

     	}else{

			wp_die(__('Robot verification failed, please try again.', 'jgc-google-recaptcha'));

        }

    }else{

    	wp_die( JGCGRC_MSG_CLICK_RECAPTCHA . '<p style="text-align:center;"><a href="javascript:window.history.back();">' . __('Get back', 'jgc-google-recaptcha') . '</a></p>' );

    }
}

/************************************************
 * reCAPTCHA for login, register and lostpassword
 ************************************************/

/*
 * Common
 */

function jgcgrc_login_register_lostpw_recaptcha_exec(){
    $jgcgrc_login_recaptcha = jgcgrc_option('jgcgrc_login_recaptcha');
    $jgcgrc_register_recaptcha = jgcgrc_option('jgcgrc_register_recaptcha');
    $jgcgrc_lostpassword_recaptcha = jgcgrc_option('jgcgrc_lostpassword_recaptcha');

    if( $jgcgrc_login_recaptcha == 'on' || $jgcgrc_register_recaptcha == 'on' || $jgcgrc_lostpassword_recaptcha == 'on' ){

        add_action('login_enqueue_scripts', 'jgcgrc_load_login_scripts' );
        

        if( $jgcgrc_login_recaptcha == 'on' ) {
            add_action('login_form', 'jgcgrc_add_login_recaptcha');
            add_filter('wp_authenticate_user', 'jgcgrc_verify_login_recaptcha', 10, 2); // https://codex.wordpress.org/Plugin_API/Filter_Reference/wp_authenticate_user
        }

        if ($jgcgrc_register_recaptcha == 'on'){
            add_action('register_form', 'jgcgrc_add_login_recaptcha');
            add_filter('registration_errors', 'jgcgrc_verify_register_recaptcha', 10, 3 ); // https://codex.wordpress.org/Plugin_API/Filter_Reference/registration_errors
        }

        if($jgcgrc_lostpassword_recaptcha == 'on'){
            add_action('lostpassword_form', 'jgcgrc_add_login_recaptcha');
            add_action('lostpassword_post', 'jgcgrc_verify_lostpassword_recaptcha');
        }

    }
}

function jgcgrc_load_login_scripts(){
    wp_enqueue_script( 'jgcgrc-script-rechaptcha-login', 'https://www.google.com/recaptcha/api.js');
}

function jgcgrc_add_login_recaptcha(){
    
    $site_key = jgcgrc_option('jgcgrc_site_key');
    $theme    = jgcgrc_option('jgcgrc_theme');

    echo '<div class="g-recaptcha" data-sitekey="' . $site_key .'" data-theme="' . $theme . '" style="transform:scale(0.9);-webkit-transform:scale(0.9);transform-origin:0 0;-webkit-transform-origin:0 0;"></div>';

}

// Verificación login recaptcha
function jgcgrc_verify_login_recaptcha($user, $password){

    if(isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])){

        // Secret key
        $secret_key = jgcgrc_option('jgcgrc_secret_key');

        // Get verify response data
        $verify_response = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret_key . '&response=' . $_POST['g-recaptcha-response']);

        $response_data = json_decode($verify_response);

        if($response_data->success){

            return $user;

        }else{

            wp_die(__('Robot verification failed, please try again.', 'jgc-google-recaptcha'));

        }

    }else{

        return new WP_Error( 'recaptcha_not_verified', JGCGRC_MSG_CLICK_RECAPTCHA );

    }
}

// Verificación register recaptcha
function jgcgrc_verify_register_recaptcha($errors, $sanitized_user_login, $user_email){

    if(isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])){

        // Secret key
        $secret_key = jgcgrc_option('jgcgrc_secret_key');

        // Get verify response data
        $verify_response = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret_key . '&response=' . $_POST['g-recaptcha-response']);

        $response_data = json_decode($verify_response);


        if(!$response_data->success) wp_die(__('Robot verification failed, please try again.', 'jgc-google-recaptcha'));

    }else{

        $errors->add('recaptcha_not_verified', JGCGRC_MSG_CLICK_RECAPTCHA);

    }

    return $errors;

}

// Verificación lostpassword recaptcha
function jgcgrc_verify_lostpassword_recaptcha($errors){

    if(isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])){

        // Secret key
        $secret_key = jgcgrc_option('jgcgrc_secret_key');

        // Get verify response data
        $verify_response = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret_key . '&response=' . $_POST['g-recaptcha-response']);

        $response_data = json_decode($verify_response);

        if(!$response_data->success) wp_die(__('Robot verification failed, please try again.', 'jgc-google-recaptcha'));

    }else{

        $errors->add('recaptcha_not_verified', JGCGRC_MSG_CLICK_RECAPTCHA);

    }

    return $errors;

}