<?php

add_action ( 'admin_menu', 'jgcgrc_add_options_page' );
function jgcgrc_add_options_page() {
	
	add_options_page ( 'JGC Google reCAPTCHA', 'JGC Google reCAPTCHA', 'manage_options', 'jgcgrc-settings', 'jgcgrc_setting_page' );
	
	add_action ( 'admin_init', 'jgcgrc_register_setting' );
	
}

function jgcgrc_register_setting() {
	
	register_setting ( 'jgcgrc_grupo_opciones', 'jgcgrc_opciones', 'jgcgrc_sanitize_options' );
	
}

function jgcgrc_sanitize_options($input) {
	
	$input['jgcgrc_site_key']      = sanitize_text_field( $input['jgcgrc_site_key'] );
	$input['jgcgrc_secret_key']    = sanitize_text_field( $input['jgcgrc_secret_key'] );
	$input['jgcgrc_comments_recaptcha'] = ( $input['jgcgrc_comments_recaptcha'] == 'on' ) ? 'on' : '';
	$input['jgcgrc_comments_recaptcha_location'] = $input['jgcgrc_comments_recaptcha_location'];
	$input['jgcgrc_login_recaptcha'] = ( $input['jgcgrc_login_recaptcha'] == 'on' ) ? 'on' : '';
	$input['jgcgrc_register_recaptcha'] = ( $input['jgcgrc_register_recaptcha'] == 'on' ) ? 'on' : '';
	$input['jgcgrc_lostpassword_recaptcha'] = ( $input['jgcgrc_lostpassword_recaptcha'] == 'on' ) ? 'on' : '';
	$input['jgcgrc_theme'] = $input['jgcgrc_theme'];

	return $input;
	
}

function jgcgrc_setting_page() { 
	
	?>
	
	<div class="wrap">
	<h1 class="jgcgrc-name"><?php echo JGCGRC_PLUGIN_NAME; ?></h1>
	<hr>
	
	<form method="post" action="options.php">
	
	<?php
	settings_fields('jgcgrc_grupo_opciones');
	$jgcgrc_opciones = get_option('jgcgrc_opciones');
	?>
	
	<!-- PESTAÑA OPCIONES -->
	<div id="tab_opciones" class="contenido_tab">
		<div class="postbox_">
			
			<div class="inside_">
			
				<h3><?php _e('Authentication', 'jgc-google-recaptcha'); ?></h3>

				<p><?php _e('To use Google reCAPTCHA you should get a site key and a secret key in', 'jgc-google-recaptcha'); ?> <a href="https://www.google.com/recaptcha/admin#list" target="_blank">Google reCAPTCHA</a>.<br>
				<?php _e('When you get the keys, write them in the text boxes below.', 'jgc-google-recaptcha'); ?></p>

				<table class="form-table">
				<tr>
					<th scope="row"><?php _e('Site key', 'jgc-google-recaptcha'); ?></th>
					<td valign="top">
					<input type="text"
					name="jgcgrc_opciones[jgcgrc_site_key]" 
					value="<?php echo __( esc_attr($jgcgrc_opciones['jgcgrc_site_key'] ), 'jgc-google-recaptcha'); ?>" 
					size="80" >
					</td>
				</tr>
				
				<tr>
					<th scope="row"><?php _e('Secret key', 'jgc-google-recaptcha'); ?></th>
					<td valign="top">
					<input type="text"
					name="jgcgrc_opciones[jgcgrc_secret_key]" 
					value="<?php echo __( esc_attr($jgcgrc_opciones['jgcgrc_secret_key'] ), 'jgc-google-recaptcha'); ?>" 
					size="80" >
					</td>
				</tr>
				</table>
				<hr>
				<h3><?php _e('Options', 'jgc-google-recaptcha'); ?></h3>

				<table class="form-table">

				<tr>
					<th scope="row"><?php _e('Enable reCAPTCHA for', 'jgc-google-recaptcha'); ?></th>
					<td valign="top">

					<p><input name="jgcgrc_opciones[jgcgrc_login_recaptcha]" id="jgcgrc_login_recaptcha"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_login_recaptcha'], 'on', false ); ?>
					type="checkbox" /> <?php _e('Login form', 'jgc-google-recaptcha'); ?></p>

					<p><input name="jgcgrc_opciones[jgcgrc_register_recaptcha]" id="jgcgrc_register_recaptcha"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_register_recaptcha'], 'on', false ); ?>
					type="checkbox" /> <?php _e('Register form', 'jgc-google-recaptcha'); ?></p>

					<p><input name="jgcgrc_opciones[jgcgrc_lostpassword_recaptcha]" id="jgcgrc_lostpassword_recaptcha"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_lostpassword_recaptcha'], 'on', false ); ?>
					type="checkbox" /> <?php _e('Lost password form', 'jgc-google-recaptcha'); ?></p>

					<p><input name="jgcgrc_opciones[jgcgrc_comments_recaptcha]" id="jgcgrc_comments_recaptcha"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_comments_recaptcha'], 'on', false ); ?>
					type="checkbox" /> <?php _e('Comments form', 'jgc-google-recaptcha'); ?>:<br>
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

					<input type="radio" 
					name="jgcgrc_opciones[jgcgrc_comments_recaptcha_location]"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_comments_recaptcha_location'], 'before_submit_button', false ); ?>
					value="before_submit_button" /> <?php _e( 'Before submit button', 'jgc-google-recaptcha' ); ?>&nbsp;
					
					<input type="radio" 
					name="jgcgrc_opciones[jgcgrc_comments_recaptcha_location]"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_comments_recaptcha_location'], 'after_submit_button', false ); ?>
					value="after_submit_button" /> <?php _e( 'After submit button', 'jgc-google-recaptcha' ); ?>
					</p>
					</td>
				</tr>

				<tr>
					<th scope="row"><?php _e( 'reCAPTCHA theme', 'jgc-google-recaptcha' ); ?></th>
					<td>
					<input type="radio" 
					name="jgcgrc_opciones[jgcgrc_theme]"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_theme'], 'light', false ); ?>
					value="light" /> <?php _e( 'Light', 'jgc-google-recaptcha' ); ?>&nbsp;&nbsp;&nbsp;
					
					<input type="radio" 
					name="jgcgrc_opciones[jgcgrc_theme]"
					<?php echo checked( $jgcgrc_opciones['jgcgrc_theme'], 'dark', false ); ?>
					value="dark" /> <?php _e( 'Dark', 'jgc-google-recaptcha' ); ?>
					</td>
				</tr>
				
				</table>
			</div><!-- .inside -->
		</div><!-- .postbox -->
	</div><!-- #tab_opciones -->
	<!-- FINAL PESTAÑA OPCIONES -->
	
	<hr>

	<div style="float:left;">
		<input type="submit" class="button-primary" value="<?php _e( 'Save changes', 'jgc-google-recaptcha' ); ?>" />
	</div>

	<div style="margin-left:220px;">
		<?php _e('Do you like the plugin?', 'jgc-google-recaptcha'); ?> <a href="https://wordpress.org/support/plugin/jgc-google-recaptcha/reviews/" target="_blank"><?php _e('Please rate it', 'jgc-google-recaptcha'); ?></a> <br>
		<a href="https://wordpress.org/support/plugin/jgc-google-recaptcha" target="_blank"><?php _e('Support', 'jgc-google-recaptcha'); ?></a> | 
		<a href="http://galussothemes.com/wordpress-themes" target="_blan"><?php _e('Our WordPress Themes', 'jgc-google-recaptcha'); ?></a>
	</div>

	<hr>
	
	</form>

	</div><!-- .wrap -->
<?php
}