<?php
/*
Plugin Name: JGC Google reCAPTCHA
Description: This plugin adds Google reCAPTCHA to forms of your wordpress site and protect it from spam and abuse while letting real people pass through with ease.
Version: 1.0.0
Author: GalussoThemes
Author URI: http://galussothemes.com
License: GPLv2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: jgc-google-recaptcha
Domain Path: /languages

JGC Google reCAPTCHA is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
JGC Google reCAPTCHA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with JGC Google reCAPTCHA. If not, see https://www.gnu.org/licenses/gpl-2.0.html.
*/

// Salir si se accede directamente
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define('JGCGRC_PLUGIN_NAME', 'JGC Google reCAPTCHA');
define('JGCGRC_MSG_CLICK_RECAPTCHA', '<div style="text-align:center; font-weight:bold;">' . __('Please click on the reCAPTCHA box.', 'jgc-google-recaptcha') . '</div>');

function jgcgrc_set_default_options(){

	$options = array(
		'jgcgrc_site_key' => '',
		'jgcgrc_secret_key' => '',
		'jgcgrc_comments_recaptcha' => 'on',
		'jgcgrc_comments_recaptcha_location' => 'before_submit_button',
		'jgcgrc_login_recaptcha' => 'on',
		'jgcgrc_register_recaptcha' => 'on',
		'jgcgrc_lostpassword_recaptcha' => 'on',
		'jgcgrc_theme' => 'light',
		);

	update_option( 'jgcgrc_opciones', $options );

}

register_activation_hook( __FILE__, 'jgcgrc_install');
function jgcgrc_install(){
	jgcgrc_set_default_options();
}

add_action('init', 'jgcgrc_load_textdomain');
function jgcgrc_load_textdomain() {
	
	load_plugin_textdomain( 'jgc-google-recaptcha', false, basename( dirname( __FILE__ ) ) . '/languages' );
	
}

function jgcgrc_option($option) {

	$options = get_option('jgcgrc_opciones');
	
	return $options[$option];

}

if(!is_admin()) require_once( plugin_dir_path( __FILE__ ) . 'inc/jgcgrc-functions.php' );
if(is_admin()) require_once( plugin_dir_path( __FILE__ ) . 'inc/jgcgrc-options.php' );